using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查内容子表(关联检查类型)   检查内容子表(关联检查类型、项目分类)
    /// </summary>
    [Description("检查类型")]
    public class T_BS_CHECK_CONTENT_CHECK_TYPE : MesEntityBase
    {
        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        [DataFieldForeignKey("Nav_Content", "Nav_ListContentCheckTypes")]
        public Guid CHECK_CONTENT_ID { get; set; }

        ///<summary>
        /// 导航：检查内容
        /// </summary>
        [Description("导航：检查内容")]
        public virtual T_BS_CHECK_CONTENT Nav_Content { get; set; }

        /// <summary>
        /// 检查类型
        /// </summary>
        [Description("检查类型")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_CheckType")]
        public Guid CHECK_TYPE_ID { get; set; }

        /// <summary>
        /// 导航：检查类型
        /// </summary>
        [Description("导航：检查类型")]
        public virtual T_BS_CHECK_TYPE Nav_CheckType { get; set; }





















        /// <summary>
        /// 项目分类
        /// </summary>
        [Description("项目分类")]
        public Guid CHECK_PROJECT_CATEGORY_ID { get; set; }


        /// <summary>
        /// 导航：项目分类
        /// </summary>
        [Description("导航：项目分类")]
        public virtual T_BS_CHECK_PROJECT_CATEGORY Nav_CheckProjectCategory { get; set; }

        /// <summary>
        /// 检查内容类型下层级
        /// </summary>
        [Description("导航：检查内容类型下层级")]
        [FormFieldEdit]
        public virtual List<T_BS_CHECK_CONTENT_CHECK_TYPE_LEVEL> Nav_ListContentCheckTypeLevels { get; set; }
        


    }
}
